Skip to content

Users

All operations require authentication.

5 operationsv1/hosting/privateDatabase
Agent setup

List usersProduction

GET
/1.0/hosting/privateDatabase/{serviceName}/user

Returns the names of the users of the service.

Path parameters

serviceName
required
string

Service name

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/privateDatabase/{serviceName}/user \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Create a userProduction

POST
/1.0/hosting/privateDatabase/{serviceName}/user

Creates a user on the service, with no rights on any database until a grant is added. The password must be alphanumeric and at least 8 characters long.

Path parameters

serviceName
required
string

Service name

Request body (required)

password
required
stringpassword

Password for the new user ( alphanumeric and 8 characters minimum )

userName
required
string

User name used to connect on your databases

Response

200Tasksuccessful operation
databaseName
read-only
string

Database name on which the task is working

doneDate
read-only
stringdate-time

Completion date

dumpId
read-only
integer

DumpId on which the task is working

function
read-only
FunctionEnum

Function name

ValuesabusechangeFtpPasswordchangeRamchangeVersionconfiguration/updatecreatedatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/dumpdatabase/dump/deletedatabase/extension/createdatabase/extension/deletedatabase/importdatabase/restoredatabase/wizarddeletegrant/creategrant/deletegrant/updateinstalloverquota/inoverquota/outquotaRefreshrefreshreopenrestartstartstopsuspenduser/changePassworduser/createuser/deletewebhostingNetwork/disablewebhostingNetwork/enablewhitelist/createwhitelist/deletewhitelist/update
id
read-only
integer

The id of the task

lastUpdate
read-only
stringdate-time

Last update

startDate
read-only
stringdate-time

Task creation date

status
read-only
StatusEnum

Task status

Valuescancelleddoingdoneerrortodo
userName
read-only
string

User name on which the task is working

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/privateDatabase/{serviceName}/user \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "databaseName": "string", "doneDate": "2024-01-01T12:00:00Z", "dumpId": 0, "function": "abuse", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "userName": "string"}

Get a userProduction

GET
/1.0/hosting/privateDatabase/{serviceName}/user/{userName}

Returns the creation date of the user and the databases it is granted on, with its rights.

Path parameters

serviceName
required
string

Service name

userName
required
string

User name

Response

200Usersuccessful operation
creationDate
read-only
stringdate-time

Creation date of the user

databases
read-only
Database[]

Databases granted for this user

userName
read-only
string

User name used to connect to your databases

Example uses serviceName = string, userName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/privateDatabase/{serviceName}/user/{userName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creationDate": "2024-01-01T12:00:00Z", "databases": [ { "databaseName": "string", "grantId": 0, "grantType": "admin" } ], "userName": "string"}

Delete a userProduction

DELETE
/1.0/hosting/privateDatabase/{serviceName}/user/{userName}

Deletes the user and its grants. The databases are kept.

Path parameters

serviceName
required
string

Service name

userName
required
string

User name

Response

200Tasksuccessful operation
databaseName
read-only
string

Database name on which the task is working

doneDate
read-only
stringdate-time

Completion date

dumpId
read-only
integer

DumpId on which the task is working

function
read-only
FunctionEnum

Function name

ValuesabusechangeFtpPasswordchangeRamchangeVersionconfiguration/updatecreatedatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/dumpdatabase/dump/deletedatabase/extension/createdatabase/extension/deletedatabase/importdatabase/restoredatabase/wizarddeletegrant/creategrant/deletegrant/updateinstalloverquota/inoverquota/outquotaRefreshrefreshreopenrestartstartstopsuspenduser/changePassworduser/createuser/deletewebhostingNetwork/disablewebhostingNetwork/enablewhitelist/createwhitelist/deletewhitelist/update
id
read-only
integer

The id of the task

lastUpdate
read-only
stringdate-time

Last update

startDate
read-only
stringdate-time

Task creation date

status
read-only
StatusEnum

Task status

Valuescancelleddoingdoneerrortodo
userName
read-only
string

User name on which the task is working

Example uses serviceName = string, userName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/privateDatabase/{serviceName}/user/{userName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "databaseName": "string", "doneDate": "2024-01-01T12:00:00Z", "dumpId": 0, "function": "abuse", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "userName": "string"}

Change a user passwordProduction

POST
/1.0/hosting/privateDatabase/{serviceName}/user/{userName}/changePassword

Changes the password of the user. The password must be alphanumeric and at least 8 characters long.

Path parameters

serviceName
required
string

Service name

userName
required
string

User name

Request body (required)

password
required
stringpassword

Password for the new user ( alphanumeric and 8 characters minimum )

Response

200Tasksuccessful operation
databaseName
read-only
string

Database name on which the task is working

doneDate
read-only
stringdate-time

Completion date

dumpId
read-only
integer

DumpId on which the task is working

function
read-only
FunctionEnum

Function name

ValuesabusechangeFtpPasswordchangeRamchangeVersionconfiguration/updatecreatedatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/dumpdatabase/dump/deletedatabase/extension/createdatabase/extension/deletedatabase/importdatabase/restoredatabase/wizarddeletegrant/creategrant/deletegrant/updateinstalloverquota/inoverquota/outquotaRefreshrefreshreopenrestartstartstopsuspenduser/changePassworduser/createuser/deletewebhostingNetwork/disablewebhostingNetwork/enablewhitelist/createwhitelist/deletewhitelist/update
id
read-only
integer

The id of the task

lastUpdate
read-only
stringdate-time

Last update

startDate
read-only
stringdate-time

Task creation date

status
read-only
StatusEnum

Task status

Valuescancelleddoingdoneerrortodo
userName
read-only
string

User name on which the task is working

Example uses serviceName = string, userName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/privateDatabase/{serviceName}/user/{userName}/changePassword \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "databaseName": "string", "doneDate": "2024-01-01T12:00:00Z", "dumpId": 0, "function": "abuse", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "userName": "string"}